# Basic ETL demo

This is a simple demo that extracts the largest senders of USDC on Base.

A Google Sheet [here](https://docs.google.com/spreadsheets/d/1ZCqciEB89y5TF1j6BrthgMGUTc62CVa0vMp97dJKCPY/) pulls data from the back end. And this code extracts data from there.

The sheet is configured to update hourly, look at the last 90 calendar days and only return wallets with a total flow over US$ 1 million. Those parameters are all visible within the sheet.

The code is brief:

{% @github-files/github-code-block url="<https://github.com/ChainArgos/api-demos/blob/main/google-sheets/basic_pandas/basic_pandas.py>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainargos.com/documentation/api/google_sheets/basic_pandas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
